petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDSGetComponentOffset

Returns the offset of the given field on an evaluation point

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetComponentOffset(PetscDS prob, PetscInt f, PetscInt *off)

Not collective

### Input Parameters

| prob | - The PetscDS object
| f | - The field number

### Output Parameter

off -The offset

### See Also

PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages